// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { RestangularModule } from 'ngx-restangular';
import { NgLoggerModule, Level } from '@nsalaun/ng-logger';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ToastrModule } from 'ngx-toastr';

import { ScheduleService } from './schedule.service';
import { ScheduleDeleteModalComponent } from './scheduleDeleteModal.component';
import { ScheduleRowComponent } from './scheduleRow.component';

@NgModule({
  imports: [
    HttpModule,
    CommonModule,
    FormsModule,
    NgLoggerModule,
    RestangularModule,
    ToastrModule,
    NgbModule
  ],
  providers: [
    ScheduleService
  ],
  declarations: [
    ScheduleDeleteModalComponent,
    ScheduleRowComponent
  ],
  entryComponents: [
    ScheduleDeleteModalComponent,
    ScheduleRowComponent
  ]
})
export class ScheduleModule {}
